zlarcm.f(3)

NAME
zlarcm.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLARCM (M, N, A, LDA, B, LDB, C, LDC, RWORK)
ZLARCM

Function/Subroutine Documentation

  subroutine ZLARCM (INTEGERM, INTEGERN, DOUBLE PRECISION, dimension( lda, * )A, INTEGERLDA, COMPLEX*16, dimension( ldb, * )B, INTEGERLDB, COMPLEX*16, dimension( ldc, * )C, INTEGERLDC, DOUBLE PRECISION, dimension( * )RWORK)

ZLARCM

Purpose:

     ZLARCM performs a very simple matrix-matrix multiplication:
              C := A * B,
     where A is M by M and real; B is M by N and complex;
     C is M by N and complex.

Parameters:
    M

              M is INTEGER
              The number of rows of the matrix A and of the matrix C.
              M >= 0.

    N

              N is INTEGER
              The number of columns and rows of the matrix B and
              the number of columns of the matrix C.
              N >= 0.

    A

              A is DOUBLE PRECISION array, dimension (LDA, M)
              A contains the M by M matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A. LDA >=max(1,M).

    B

              B is DOUBLE PRECISION array, dimension (LDB, N)
              B contains the M by N matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B. LDB >=max(1,M).

    C

              C is COMPLEX*16 array, dimension (LDC, N)
              C contains the M by N matrix C.

    LDC

              LDC is INTEGER
              The leading dimension of the array C. LDC >=max(1,M).

    RWORK

              RWORK is DOUBLE PRECISION array, dimension (2*M*N)

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 115 of file zlarcm.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.